import java.awt.*;
import java.awt.event.*;
import java.awt.font.*;
import javax.swing.*;
import java.io.*;
import java.lang.String.*;
import java.util.ArrayList;

/**
 * CaracterPanel es un panel donde se escriben los caracteres
 * ya ingresados.
 */
public class CaracterPanel extends JPanel
{
	private ArrayList caracter;
	private char[] palabra;
/**
 * Constructor del panel, sin argumentos
 */
	public CaracterPanel()
	{
		setSize(400,400);
		caracter = new ArrayList();
	}
/**
 * Este metodo permite annadir un caracter a la lista: se llama
 * cada vez que el jugador ingresa un nuevo caracter.
 * @param char car Toma como argumento el nuevo caracter ingresados
 */
	public void addCaracter(char car)
	{
		caracter.add(car);
		repaint();
	}

/**
 * Este metodo permite borrar el arreglo de caracteres
 * imprimidos.
 */
	public void borrar()
	{
		caracter.clear();
		repaint();
	}
/**
 * Dibuja los caracteres
 */
	public void paint(Graphics g)
	{
		String str = new String();
		g.setColor(Color.white);
		g.fillRect(0,0,450,450);
		g.setColor(Color.black);
		g.setFont(new Font("times new roman", 4, 12));
		for(int i = 0 ; i < caracter.size() ; i++)
		{
			str = str + caracter.get(i) + ", ";
		}
		g.drawString("Letras ingresadas : " + str , 10, 50);
	}
}