import java.awt.*;
import java.awt.font.*;
import javax.swing.*;
import java.io.*;
import java.lang.String.*;

/**
 * La clase PalabraPanel es el panel que muestra la palabra 
 * que se debe adivinar.
 */
public class PalabraPanel extends JPanel
{
	private char[] palabra;
/**
 * Constructor de la clase: recibe un arreglo de caracteres
 * que corresponden con las letras ya adivinadas.
 * @param char[] pal El arreglo que contiene los caracteres 
 * que deben ser imprimidos.
 */
	public PalabraPanel(char[] pal)
	{
		setSize(800,200);
		palabra = new char [pal.length];
		for(int i = 0; i < palabra.length; i++)
			palabra[i] = pal[i];
		System.out.println(pal.length);
	}
/**
 * Metodo ue permite dibujar este panel
 */	
	public void paint(Graphics g)
	{
		g.setColor(Color.white);
		g.fillRect(0,0,900,200);
		g.setColor(Color.black);
		g.setFont(new Font("times new roman",4, 80));			
		g.drawChars(palabra,0,palabra.length,50,110);
	}
	
/**
 * Cambia la palabra que debe ser imprimida
 */		
	public void setPalabra(char[] pal)
	{
		for(int i = 0; i < palabra.length; i++)
			palabra[i] = pal[i];
		
		repaint();
	}
}
